Lists

Get a list

GET /api/v1/lists/{uid}

The list, its fields and its statistics.

Parameters
uid string required path
The list's uid.
Responses
200 The list.
401 The token is missing or wrong (Unauthenticated.), or its user may not act on this object (Unauthorized). Without the Accept: application/json header, a missing or wrong token answers with a redirect to the sign-in page instead.
404 No list has this uid.
Get a list
1 2 3
curl 'https://your-domain/api/v1/lists/6adaabbf98847' \
  -H "Accept: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
1 2
$client = new Acelle\Client('https://your-domain/api/v1', 'YOUR_API_TOKEN');
$client->list()->find('6adaabbf98847');
Response
{
    "list": {
        "uid": "6adaabbf98847",
        "name": "Newsletter",
        "from_email": "newsletter@example.com",
        "from_name": "Example Team",
        "remind_message": "You signed up at example.com.",
        "created_at": "2026-10-13T21:21:36.000000Z",
        "updated_at": "2026-10-23T10:56:23.000000Z",
        "fields": [
            {
                "key": "EMAIL",
                "label": "Email",
                "type": "string",
                "tag": "EMAIL",
                "default_value": "",
                "visible": 1,
                "required": true
            },
            {
                "key": "FIRST_NAME",
                "label": "First Name",
                "type": "string",
                "tag": "FIRST_NAME",
                "default_value": "",
                "visible": 1,
                "required": false
            }
        ]
    },
    "statistics": {
        "subscriber_count": 1738,
        "open_uniq_rate": 0.43,
        "click_rate": 0.06,
        "subscribe_rate": 0.62,
        "unsubscribe_rate": 0.12,
        "unsubscribe_count": 216,
        "unconfirmed_count": 230
    }
}